aspcud(1)

NAME
aspcud - solve dependencies between packages

SYNOPSIS
aspcud input-file output-file criterion

DESCRIPTION
aspcud solves package installation/removal/upgrade problems expressed in the CUDF format. It is intended to be called by package installers, but may also be used independently. If the tool is not able to find a solution then it prints "FAIL" to stdout.

ARGUMENTS
All three command line arguments are mandatory:

input-file
    is the pathname of a file containing the problem specification in CUDF format (both the universe and the request)

output-file
    is the pathname of a file into which the solution will be written in CUDF output format. If the file does not exist it will be created, if it does already exist it will be overwritten without warning.

criterion
    desribes the optimization criterion. The criterion is a non-empty and comma-separated list of signed function names. Each sign is either "+" or "-", and each function name is one of removed, new, changed, notuptodate, unmet_recommends. One may also use the macros "trendy" or "paranoid".

AUTHOR
Aspcud has been written by Roland Kaminski <kaminski@cs.uni-potsdam.de>

SEE ALSO
<http://www.mancoosi.org/cudf/> for the specification of the CUDF format.